
# Pacotes -----------------------------------------------------------------

# Carregar pacotes/dependências e definições globais
source(file = "./R/load_pkgs.R")


# Funções -----------------------------------------------------------------

# Carregar funções úteis
source(file = "./R/utils.R")


# Preparação de dados -----------------------------------------------------

# Importar e preparar dados
source(file = "./R/data_prep.R")


# Modelos -----------------------------------------------------------------

# Modelos de econometria tradicional
source(file = "./R/models_baseline.R")

# Benchmark de mercado Focus
source(file = "./R/benchmark_focus.R")


# Previsão fora da amostra ------------------------------------------------

# Previsão com amostra completa
source(file = "./R/fcst_oos.R")


# Visualização de dados ---------------------------------------------------

# Gerar tabelas e gráficos
source(file = "./R/data_viz.R")


# Dashboard ---------------------------------------------------------------

# Gerar dasbhboard
source(file = "./R/build_dashboard.R")

